aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2017-07-31 12:38:18 +0300
committerTimo Teräs <timo.teras@iki.fi>2017-08-28 06:35:03 +0000
commit38565d1a7242a50c23eeb8bc3f74681d30f42eda (patch)
treece2ec5dd21da83bb1f731a94cdfa86f52456446d
parentb4dc428b069d192ff5d9bf0f008fc5ff1bce20da (diff)
downloadaports-38565d1a7242a50c23eeb8bc3f74681d30f42eda.tar.gz
aports-38565d1a7242a50c23eeb8bc3f74681d30f42eda.tar.bz2
aports-38565d1a7242a50c23eeb8bc3f74681d30f42eda.tar.xz
testing/rspamd: upgrade to 1.6.3
-rw-r--r--testing/rspamd/APKBUILD29
-rw-r--r--testing/rspamd/cmakelists.patch6
2 files changed, 20 insertions, 15 deletions
diff --git a/testing/rspamd/APKBUILD b/testing/rspamd/APKBUILD
index 3f2dcc9e60..caca2af068 100644
--- a/testing/rspamd/APKBUILD
+++ b/testing/rspamd/APKBUILD
@@ -2,8 +2,8 @@
# Contributor: Valery Kartel <valery.kartel@gmail.com>
# Contributor: Nathan Angelacos <nangel@alpinelinux.org>
pkgname=rspamd
-pkgver=1.5.9
-pkgrel=1
+pkgver=1.6.3
+pkgrel=0
pkgdesc="Fast, free and open-source spam filtering system"
url="https://rspamd.com"
arch="x86_64 x86 armhf"
@@ -17,6 +17,7 @@ makedepends="cmake ragel perl lua-dev glib-dev pcre-dev icu-dev
install="$pkgname.pre-install"
subpackages="$pkgname-doc $pkgname-client $pkgname-utils::noarch
$pkgname-controller::noarch $pkgname-fuzzy::noarch
+ $pkgname-proxy::noarch
"
source="$pkgname-$pkgver.tar.gz::https://github.com/vstakhov/$pkgname/archive/$pkgver.tar.gz
$pkgname.logrotated
@@ -32,14 +33,14 @@ prepare() {
default_prepare || return 1
cd "$builddir"
- for worker in normal:3 controller:4 fuzzy:5; do
+ for worker in proxy:2 normal:3 controller:4 fuzzy:5; do
sed -e "s/@name@/${worker%:*}/g" -e "s/@port@/${worker#*:}/g" \
"$srcdir"/worker.conf.in > conf/worker-${worker%:*}.conf
done
- sed "$(grep -n -m1 'worker {' conf/rspamd.sysvinit.conf|cut -d: -f1),\$d" \
- -i conf/rspamd.sysvinit.conf && \
+ sed "$(grep -n -m1 'worker {' conf/rspamd.conf|cut -d: -f1),\$d" \
+ -i conf/rspamd.conf && \
echo '.include(glob=true) "$CONFDIR/worker-*.conf"' >> \
- conf/rspamd.sysvinit.conf || return 1
+ conf/rspamd.conf || return 1
sed -ri -e 's~DBDIR(/rspamd.sock)~RUNDIR\1~' \
-e 's~rspamd_dynamic~dynamic~' \
conf/options.inc
@@ -67,10 +68,6 @@ package() {
cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
- rm "$pkgdir"/etc/$pkgname/$pkgname.systemd.conf || return 1
- mv "$pkgdir"/etc/$pkgname/$pkgname.sysvinit.conf \
- "$pkgdir"/etc/$pkgname/$pkgname.conf || return 1
-
mkdir -p "$pkgdir"/etc/$pkgname/local.d \
"$pkgdir"/etc/$pkgname/override.d || return 1
@@ -139,9 +136,17 @@ controller() {
"$subpkgdir"/etc/$pkgname
}
-sha512sums="258e266bca592e2f52760019ffa8c319a84c23a53fec984dc803f5ac12f902f2d0978dbc5e35b623eb02ff8e2e7dc00e2cb8efcc0ea9a06b67f7210ae8f42bc3 rspamd-1.5.9.tar.gz
+proxy() {
+ depends="$pkgname rmilter"
+ pkgdesc="$pkgdesc (milter support)"
+ mkdir -p "$subpkgdir"/etc/$pkgname || return 1
+ mv "$pkgdir"/etc/$pkgname/worker-proxy.* \
+ "$subpkgdir"/etc/$pkgname
+}
+
+sha512sums="c03810523890e631cf6b315ae5360f02833ceb236d2685f7f20138a680a39b04060415170c7bc5f88aaf74f8a05df248b9e49bbbde285909e56a1a12f36e03bf rspamd-1.6.3.tar.gz
2efe28575c40d1fba84b189bb872860e744400db80dce2f6330be6c6287fb3f46e6511284729b957488bf40bcb9b0952e26df9934f5f138334bd2766075c45cb rspamd.logrotated
df37726d03e676b16d707854d95bafc9162da65c27bb150edbfc0cb00f1842188a1f2a8f1b82be5ae2a253b4f4db4d93dfe804a89feb988b5af858eb3f3458be rspamd.initd
e417dd825d1b4d03d115db037b2fdf2f48a35420ee7a9010d97167b6c31e88d6c0a15dd33b21d7d76856db0fdc5097c922fcdf1d8164d1e92ae377f7c5303947 rspamd.confd
-99593c10ffb04c71a4c83c7522b41f12465a9862283685bbc2fff464fd84fcf8b4bc4a892419d31332c01f805c69dd7730f537c60248b92fee35acdc6633a644 cmakelists.patch
+ae4b7e77a29bed5461088e5e9bd20941a578e899300b079b05900e355b5de1ba077fb33ae5533587f0748647bd2c7ee70aa53dd981899612eafac2203ae95883 cmakelists.patch
2169a8c4b4af6df9f3bbf4addeac564c9485a9d6a30fd15cf167093488362791c003a0d03360049c43d827e7fa767c1ad3522de6699b0247b75aa049c0b51214 worker.conf.in"
diff --git a/testing/rspamd/cmakelists.patch b/testing/rspamd/cmakelists.patch
index 8bf9356867..e451973f3d 100644
--- a/testing/rspamd/cmakelists.patch
+++ b/testing/rspamd/cmakelists.patch
@@ -1,10 +1,10 @@
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
-@@ -572,7 +572,6 @@
+@@ -578,7 +578,6 @@
LIST(APPEND CMAKE_REQUIRED_LIBRARIES rt)
LIST(APPEND CMAKE_REQUIRED_LIBRARIES dl)
LIST(APPEND CMAKE_REQUIRED_LIBRARIES resolv)
- LIST(APPEND CMAKE_REQUIRED_LIBRARIES nsl)
MESSAGE(STATUS "Configuring for Linux")
- IF(EXISTS "/etc/debian_version")
- SET(LINUX_START_SCRIPT "rspamd_debian.in")
+ IF(ENABLE_STATIC MATCHES "ON")
+ LIST(APPEND CMAKE_REQUIRED_LIBRARIES z)